// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/components/ui/UILabel.hpp"

namespace Dawn {
  class FPSLabelComponent : public SceneItemComponent {
    public:
      /* @optional */
      UILabel *label = nullptr;
      
      FPSLabelComponent(SceneItem *item);
      void onStart() override;
  };
}