// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"
#include "host/DawnHost.hpp"
#include "game/DawnGame.hpp"

/**
 * Main entry function received by parent Win32 Operating System.
 * 
 * @param argc Count of arguments passed to the program.
 * @param args Array of strings provided to the program.
 * @return 0 for success, else for any issue/error.
 */
int32_t main(int32_t argc, char **args);